package com.github.jfcloud.gene.lis.config;

import cn.hutool.db.Db;
import cn.hutool.db.ds.simple.SimpleDataSource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class LisDb {

    @Value("${lis.enable:false}")
    private boolean enable;

    private SimpleDataSource dataSource;

    public LisDb(LisDbProperty lisDbProperty) {
        if (lisDbProperty == null) {
            return;
        }
        dataSource = new SimpleDataSource(lisDbProperty.getUrl(), lisDbProperty.getUsername(), lisDbProperty.getPassword());
    }

    public Db getDb() {
        if (dataSource == null) {
            throw new RuntimeException("LIS数据库未配置");
        }
        return Db.use(dataSource);
    }
}
